Bug 95238 - bsd.port.mk: include bsd.emacs.mk only when USE_EMACS is set
Summary: bsd.port.mk: include bsd.emacs.mk only when USE_EMACS is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-02 21:50 UTC by MANTANI Nobutaka
Modified: 2006-05-23 22:56 UTC (History)
0 users

See Also:


Attachments
file.diff (3.65 KB, patch)
2006-04-02 21:50 UTC, MANTANI Nobutaka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description MANTANI Nobutaka freebsd_committer 2006-04-02 21:50:24 UTC
With current bsd.port.mk, bsd.emacs.mk is included when USE_EMACS or
EMACS_PORT_NAME is set. But if EMACS_PORT_NAME is set from command line or
/etc/make.conf, every port depends on the corresponding emacs port and
this causes infinite dependency loop (e.g. editors/apel -> editors/emacs-devel
-> editors/emacs-devel ...). This behaviour prevents from building emacs lisp
ports for emacs-devel by setting EMACS_PORT_NAME=emacs22 from command line or
/etc/make.conf.

So I would like to modify bsd.port.mk to include bsd.emacs.mk only when
USE_EMACS is set. Six ports (editors/doxymacs, lang/tuareg-mode.el,
mail/rmime, math/proofgeneral, textproc/tdtd.el and textproc/uim-el) should be
modified to set USE_EMACS by this modification.

How-To-Repeat: # cd /usr/ports/editors/apel
# make EMACS_PORT_NAME=emacs22 install
Comment 1 MANTANI Nobutaka freebsd_committer 2006-04-02 21:57:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr's territory.
Comment 2 Kris Kennaway freebsd_committer 2006-05-06 03:08:23 UTC
State Changed
From-To: open->analyzed

Accepted for testing on next experimental package build
Comment 3 Kris Kennaway freebsd_committer 2006-05-23 22:55:01 UTC
State Changed
From-To: analyzed->closed

Patch committed, thanks!
Comment 4 Kris Kennaway freebsd_committer 2006-05-23 22:55:01 UTC
State Changed
From-To: analyzed->closed

Patch committed, thanks!
Comment 5 Kris Kennaway freebsd_committer 2006-05-23 22:55:01 UTC
State Changed
From-To: analyzed->closed

Patch committed, thanks!
Comment 6 Kris Kennaway freebsd_committer 2006-05-23 22:55:01 UTC
State Changed
From-To: analyzed->closed

Patch committed, thanks!
Comment 7 Kris Kennaway freebsd_committer 2006-05-23 22:55:01 UTC
State Changed
From-To: analyzed->closed

Patch committed, thanks!